# Class CIM_VLANFor
extends CIM_ServiceSAPDependency

The VLAN for the VLAN Service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceSAPDependency
|
+--CIM_VLANFor

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | The VLAN for the VLAN Service.
UMLPackagePath | string | CIM::Network::VLAN
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_VLANFor | CIM_VLAN
Dependent | CIM_VLANFor | CIM_VLANService

## Class Methods